#Western Castle floor 1 message 2
from eventAPI import *
from APIUtils import *

lFlagU = 0

def fireEvent(e):
   global lFlagU
   lFlagU = getTag(e, "lFlagU")
   if (lFlagU != 0):
      return 1
   else:
      showMessage(e, ["To your surprise, the castle library remains mostly intact.  Though there are a few bookstacks that have been partly burned, most of the collection remains undamaged."], optionInput)
   setTag(e, "lFlagU", 1)
   return 1
